FreeBSD : apache -- ap_resolve_env buffer overflow (4d49f4ba-071f-11d9-b45d-000c41e2cdad)

Medium Nessus Plugin ID 36910


The remote FreeBSD host is missing a security-related update.


SITIC discovered a vulnerability in Apache 2's handling of environmental variable settings in the httpd configuration files (the main `httpd.conf' and `.htaccess' files). According to a SITIC advisory :

The buffer overflow occurs when expanding ${ENVVAR} constructs in .htaccess or httpd.conf files. The function ap_resolve_env() in server/util.c copies data from environment variables to the character array tmp with strcat(3), leading to a buffer overflow.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 36910

File Name: freebsd_pkg_4d49f4ba071f11d9b45d000c41e2cdad.nasl

Version: $Revision: 1.7 $

Type: local

Published: 2009/04/23

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:apache, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2004/09/15

Vulnerability Publication Date: 2004/09/15

Reference Information

CVE: CVE-2004-0747